Debian Bug report logs - #569668
ITP: davmail -- POP/IMAP/SMTP/CalDav/LDAP Exchange Gateway

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Anders Lagerås <anders.lageras@gmail.com>

Date: Sat, 13 Feb 2010 10:18:01 UTC

Owned by: Antonio López <antoniojlopez@gmail.com>

Severity: wishlist

Tags: pending

Fix blocked by 596469: ITP: javamail -- reference implementation of the JavaMail API, 710394: ITP: javamail -- JavaMail API reference implementation

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#569668; Package wnpp. (Sat, 13 Feb 2010 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Lagerås <anders.lageras@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 13 Feb 2010 10:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anders Lagerås <anders.lageras@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: davmail -- DavMail is a POP/IMAP/SMTP/Caldav/LDAP exchange gateway allowing users to use any mail/calendar client (e.g. Thunderbird with Lightning or Apple iCal) with an Exchange server, even from the internet or behind a firewall through Outlook Web Access.
Date: Sat, 13 Feb 2010 11:12:32 +0100
Package: wnpp
Severity: wishlist

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


* Package name    : davmail
  Version         : 3.6.3
  Upstream Author : Mickaël Guessan <mguessan@free.fr>
* URL             : http://davmail.sourceforge.net
* License         : GPL
  Programming Lang: Java
  Description     : DavMail is a POP/IMAP/SMTP/Caldav/LDAP exchange gateway allowing users to use any mail/calendar client (e.g. Thunderbird with Lightning or Apple iCal) with an Exchange server, even from the internet or behind a firewall through Outlook Web Access.

Ever wanted to get rid of Outlook ? DavMail is a POP/IMAP/SMTP/Caldav/LDAP exchange gateway allowing users
to use any mail/calendar client (e.g. Thunderbird with Lightning or Apple iCal) with an Exchange server, even
from the internet or behind a firewall through Outlook Web Access. DavMail now includes an LDAP gateway to
Exchange global address book to allow recipient address completion in mail compoze window and full calendar
support with attendees free/busy display. 

The main goal of DavMail is to provide standard compliant protocols in front of proprietary Exchange.
This means LDAP for address book, SMTP to send messages, IMAP to browse messages on the server in any folder,
POP to retrieve inbox messages only and Caldav for calendar support. Thus any standard compliant client can be
used with Microsoft Exchange. 

DavMail gateway is implemented in java and should run on any platform. Releases are tested on Windows,
Linux (Ubuntu) and Mac OSX. Tray does not work on MacOS and is replaced with a full frame. Tested successfully
with the Iphone (gateway running on a server).

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkt2ewwACgkQw5UvgfnzqGpIIACdGAI1KuNgdYAKTWinuQTqVgPw
plwAn3vah0F2IvNe9eYFFKkOsOM6UYSh
=sOcC
-----END PGP SIGNATURE-----




Changed Bug title to 'RFP: davmail -- POP/IMAP/SMTP/CalDav/LDAP Exchange Gateway allowing users to use any mail/calendar client' from 'RFP: davmail -- DavMail is a POP/IMAP/SMTP/Caldav/LDAP exchange gateway allowing users to use any mail/calendar client (e.g. Thunderbird with Lightning or Apple iCal) with an Exchange server, even from the internet or behind a firewall through Outlook Web Access.' Request was from Ana Beatriz Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Wed, 17 Feb 2010 05:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#569668; Package wnpp. (Thu, 26 May 2011 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 26 May 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #12 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 569668@bugs.debian.org
Subject: Status update
Date: Thu, 26 May 2011 18:17:40 +0200
Hi,

I tried to work on this. I made progress :
- I've packaged libhtmlcleaner-java which is not in debian,
- But I stalled on the jackrabbit webdav dep which depends on a
non-free dependency (see http://bugs.debian.org/589450 ). This is the
Java content repository API which can be download at
http://jcp.org/aboutJava/communityprocess/final/jsr283/index.html

If someone wants that work, feel free to ask me. I won't continue as I
do not want to maintain a package in contrib. If the situation
changes, I'd be happy to resume my work.

Alex




Added blocking bug(s) of 569668: 589450 Request was from Alexandre Rossi <alexandre.rossi@gmail.com> to control@bugs.debian.org. (Wed, 15 Jun 2011 13:51:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: davmail -- POP/IMAP/SMTP/CalDav/LDAP Exchange Gateway' from 'RFP: davmail -- POP/IMAP/SMTP/CalDav/LDAP Exchange Gateway allowing users to use any mail/calendar client' Request was from Antonio López <antoniojlopez@gmail.com> to control@bugs.debian.org. (Wed, 01 Feb 2012 03:06:05 GMT) Full text and rfc822 format available.

Owner recorded as Antonio López <antoniojlopez@gmail.com>. Request was from Antonio López <antoniojlopez@gmail.com> to control@bugs.debian.org. (Wed, 01 Feb 2012 03:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Thu, 12 Jul 2012 11:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Vernon <matthew@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Thu, 12 Jul 2012 11:03:06 GMT) Full text and rfc822 format available.

Message #23 received at 569668@bugs.debian.org (full text, mbox):

From: Matthew Vernon <matthew@debian.org>
To: 569668@bugs.debian.org
Subject: Update?
Date: Thu, 12 Jul 2012 12:00:11 +0100
Hi,

I see that libjackrabbit-java is now in Debian. How are you getting on 
with libhtmlcleaner-java and, more pertinently davmail packaging?

Thanks,

Matthew




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Wed, 05 Sep 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Wed, 05 Sep 2012 10:15:03 GMT) Full text and rfc822 format available.

Message #28 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 569668@bugs.debian.org
Cc: Matthew Vernon <matthew@debian.org>, debian-java@lists.debian.org
Subject: davmail ITP status update (Re: ITP: davmail)
Date: Wed, 5 Sep 2012 12:11:06 +0200
Hi,

> I see that libjackrabbit-java is now in Debian. How are you getting on
> with libhtmlcleaner-java and, more pertinently davmail packaging?

I have a working package using Debian libraries instead of embedded ones :
- http://sousmonlit.dyndns.org/~niol/apt/pool/main/libh/libhtmlcleaner-java/libhtmlcleaner-java_2.2-1~pre+1.dsc
- http://sousmonlit.dyndns.org/~niol/apt/pool/main/d/davmail/davmail_3.9.9-1976-1~pre+1.dsc

I tested it as server and as desktop application that sits in the
tray. I tested only imap and smtp without SSL for the moment.

I have a few open issues on the packaging, but they are mostly easy to
fix, I just need advice :
- Include in pkg-java Git on alioth? guidance?
- Should I repack upstream source to get rid of embedded jars and dll
or should I finish debian/copyright in order to document all licenses?
I'm aware of the recent discussion about this on -devel, but I'm not
sure about the outcome.
- Should I keep debian/patches/base64-enc-dec which includes source
from javamail or should I complete javamail ITP and depend on javamail
instead of gnumail?
- How should I handle ~/davmail.log which get created when davmail is
run as a normal easier (desktop use)?
- And I'll be seeking a sponsor.

Any comment will be welcome. Thanks for reading,

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Sat, 15 Sep 2012 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Sat, 15 Sep 2012 08:06:03 GMT) Full text and rfc822 format available.

Message #33 received at 569668@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: 569668@bugs.debian.org, Matthew Vernon <matthew@debian.org>, debian-java@lists.debian.org
Subject: Re: davmail ITP status update (Re: ITP: davmail)
Date: Sat, 15 Sep 2012 10:04:11 +0200
On 2012-09-05 12:11, Alexandre Rossi wrote:
> Hi,
> 

Hi,

>> I see that libjackrabbit-java is now in Debian. How are you getting on
>> with libhtmlcleaner-java and, more pertinently davmail packaging?
> 
> I have a working package using Debian libraries instead of embedded ones :
> - http://sousmonlit.dyndns.org/~niol/apt/pool/main/libh/libhtmlcleaner-java/libhtmlcleaner-java_2.2-1~pre+1.dsc
> - http://sousmonlit.dyndns.org/~niol/apt/pool/main/d/davmail/davmail_3.9.9-1976-1~pre+1.dsc
> 
> I tested it as server and as desktop application that sits in the
> tray. I tested only imap and smtp without SSL for the moment.
> 
> I have a few open issues on the packaging, but they are mostly easy to
> fix, I just need advice :
> - Include in pkg-java Git on alioth? guidance?

Git or Svn.  Thomas Koch might be able to help you with Git.  At least
he offered to migrate Svn repositories to Git back in May[0].
Otherwise, debian-mentors (or IRC #debian-mentors) usually have plenty
of people willing to help.

For Git it is my experience that we have a copy of the unpacked upstream
source in the repository.  For Svn we tend to only have to debian dir
(known exception for native packages).

> - Should I repack upstream source to get rid of embedded jars and dll
> or should I finish debian/copyright in order to document all licenses?
> I'm aware of the recent discussion about this on -devel, but I'm not
> sure about the outcome.

If you are in doubt, I would recommend removing the embedded stuff.
Especially if you have to repack the file anyway (e.g. if the upstream
sources come in a zip or jar file)

> - Should I keep debian/patches/base64-enc-dec which includes source
> from javamail or should I complete javamail ITP and depend on javamail
> instead of gnumail?

If it is a part of javamail and davmail does not use it directly, then I
would say package javamail (or patch gnumail).  Though if not, then I am
not sure what the best choice is here.

> - How should I handle ~/davmail.log which get created when davmail is
> run as a normal easier (desktop use)?

s/easier/user/?  Anyway, as I recall it is not a major problem.  But if
it is, it can always be fixed with a patch.

> - And I'll be seeking a sponsor.
> 
> Any comment will be welcome. Thanks for reading,
> 
> Alex
> 
> 

I haven't examined the package and I am not sure I can spend the time
right now.  Anyway, when/if the packages are ready, please send an "RFS"
email to d-java.  Hopefully someone will pick it up.

~Niels

[0] https://lists.debian.org/debian-java/2012/05/msg00031.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Mon, 01 Oct 2012 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Mon, 01 Oct 2012 13:18:04 GMT) Full text and rfc822 format available.

Message #38 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 569668@bugs.debian.org
Cc: debian-java@lists.debian.org
Subject: Re: davmail ITP status update (Re: ITP: davmail)
Date: Mon, 1 Oct 2012 15:15:42 +0200
Hi,

Just a quick update on this ITP.

I packaged the latest upstream.
http://sousmonlit.incube.tk/~niol/apt/pool/main/d/davmail/davmail_4.1.0-2042-1~pre+1.dsc

(no change for htmlcleaner :
http://sousmonlit.incube.tk/~niol/apt/pool/main/libh/libhtmlcleaner-java/libhtmlcleaner-java_2.2-1~pre+1.dsc
)

Fixes in detail are available on alioth :
- http://anonscm.debian.org/gitweb/?p=pkg-java/davmail.git;a=summary
- http://anonscm.debian.org/gitweb/?p=pkg-java/libhtmlcleaner-java.git;a=summary

I'll be seeking sponsorship when wheezy is realeased, but any feedback
before that will be welcome.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Mon, 01 Oct 2012 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Mon, 01 Oct 2012 16:54:03 GMT) Full text and rfc822 format available.

Message #43 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@debian.org>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: 569668@bugs.debian.org, debian-java@lists.debian.org, stappers@stappers.nl
Subject: Re: davmail ITP status update (Re: ITP: davmail)
Date: Mon, 1 Oct 2012 18:42:50 +0200
On Mon, Oct 01, 2012 at 03:15:42PM +0200, Alexandre Rossi wrote:
> 
> I'll be seeking sponsorship when wheezy is realeased,

I want to be that sponsor.



Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Sat, 13 Apr 2013 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Schmitz <matthias@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Sat, 13 Apr 2013 01:27:04 GMT) Full text and rfc822 format available.

Message #48 received at 569668@bugs.debian.org (full text, mbox):

From: Matthias Schmitz <matthias@sigxcpu.org>
To: Geert Stappers <stappers@debian.org>
Cc: Alexandre Rossi <alexandre.rossi@gmail.com>, 569668@bugs.debian.org, debian-java@lists.debian.org, stappers@stappers.nl
Subject: Re: davmail ITP status update (Re: ITP: davmail)
Date: Sat, 13 Apr 2013 03:25:05 +0200
[Message part 1 (text/plain, inline)]
Hi Geert, hi Alex, hello *,

Am Mon, 1 Oct 2012 18:42:50 +0200
schrieb Geert Stappers <stappers@debian.org>:

> On Mon, Oct 01, 2012 at 03:15:42PM +0200, Alexandre Rossi wrote:
> > 
> > I'll be seeking sponsorship when wheezy is realeased,
> 
> I want to be that sponsor.
i used the packaging work of Alex and updated the packaging [1] to the
newest version (davmail 4.2.1). 
As the Wheezy release will still take some little time what about
uploading davmail (and the dependency libhtmlcleaner-java) to
experimental? 

Best wishes from the Debian Groupware Meeting [2] :-),
Matthias 


[1] http://anonscm.debian.org/gitweb/?p=pkg-java/davmail.git;a=summary
[2] https://wiki.debian.org/GroupwareMeeting2013-04-12to14
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Sat, 13 Apr 2013 02:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Sat, 13 Apr 2013 02:03:04 GMT) Full text and rfc822 format available.

Message #53 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Matthias Schmitz <matthias@sigxcpu.org>, 569668@bugs.debian.org
Cc: Geert Stappers <stappers@debian.org>, debian-java@lists.debian.org, stappers@stappers.nl
Subject: Re: Bug#569668: davmail ITP status update (Re: ITP: davmail)
Date: Sat, 13 Apr 2013 04:00:39 +0200
Hi,

> i used the packaging work of Alex and updated the packaging [1] to the
> newest version (davmail 4.2.1).

Thanks!

> As the Wheezy release will still take some little time what about
> uploading davmail (and the dependency libhtmlcleaner-java) to
> experimental?

unstable would be just fine as this is a new package, isn't it?

There is unfortunately an issue with using gnumail instead of javamail
which makes the IMAP messages body lack mail headers. This needs
fixing first, and I have not been able to free up some time to do so.

Also, upstream now has a srconly source package that is more debian
orig friendly.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Thu, 02 May 2013 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Thu, 02 May 2013 21:09:04 GMT) Full text and rfc822 format available.

Message #58 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 569668@bugs.debian.org
Subject: progress update
Date: Thu, 2 May 2013 22:59:52 +0200
[Message part 1 (text/plain, inline)]
Progress report

Did a `git clone` of davmail. Encountered the build dependency
on HTML cleaner

done 
  git clone git://anonscm.debian.org/pkg-java/libhtmlcleaner-java


With `dpkg-buildpackage -uc -us` there I got this error:

  dpkg-source: error: can't build with source format '3.0 (quilt)': no upstream tarball found at ../libhtmlcleaner-java_2.2.orig.tar.{bz2,gz,lzma,xz}
 

Continueing with `fakeroot debian/rules binary` got me a libhtmcleaner-java.deb

Installed the HTML cleaner package.

With `dpkg-buildpackage -uc -us` there was an error,
with `fakeroot debian/rules binary` I got a davmail Debian package.


So far this report.

To be continued


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Fri, 03 May 2013 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Fri, 03 May 2013 20:39:04 GMT) Full text and rfc822 format available.

Message #63 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@debian.org>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: 569668@bugs.debian.org
Subject: libhtmlcleaner-java for davmail
Date: Fri, 3 May 2013 22:33:57 +0200
[Message part 1 (text/plain, inline)]
Hello Alexandre,

Here an e-mail from the person who wants to sponsor uploading
the davmail package into Debian.

What you think about this ITP, Intend To Package proposal?:


* Package name     : libhtmlcleaner-java
  Version          : 2.2
  Upstream Author  : Vladimir Nikic <vnikic@users.sourceforge.net>
* URL              : http://htmlcleaner.sourceforge.net/
* License          : BSD
  Programming Lang : Java
  Description      : Java HTML Parser library

HtmlCleaner can be used in java code, as command line tool or as Ant task.
It is designed to be small, independent (no runtime dependencies except
JRE 1.5+), fast and flexible (its behavior is configurable through number of
parameters). Although the main motive was to prepare ordinary HTML for XML
processing with XPath, XQuery and XSLT, structured data produced by
HtmlCleaner may be consumed and handled in many other ways.


 
Groeten
Geert Stappers
Who couldn't find an existing ITP for libhtmlcleaner-java
at http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=wnpp
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Tue, 07 May 2013 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Tue, 07 May 2013 12:15:04 GMT) Full text and rfc822 format available.

Message #68 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@debian.org>, 569668@bugs.debian.org
Subject: Re: Bug#569668: libhtmlcleaner-java for davmail
Date: Tue, 7 May 2013 14:12:22 +0200
Thanks.

Filled as #707093.

I'm hoping to be able to prepare packages for sponsorship on Friday.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Tue, 07 May 2013 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Tue, 07 May 2013 21:15:04 GMT) Full text and rfc822 format available.

Message #73 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: 569668@bugs.debian.org, 707093@bugs.debian.org, debian-java@lists.debian.org
Subject: workflow for libhtmlcleaner-java and davmail
Date: Tue, 7 May 2013 23:11:11 +0200
[Message part 1 (text/plain, inline)]
Previous message was only in http://bugs.debian.org/569668

Op 2013-05-07 om 14:12 schreef Alexandre Rossi:
> Thanks.
> 
> Filled as #707093.

http://bugs.debian.org/707093


> I'm hoping to be able to prepare packages for sponsorship on Friday.
> 
> Alex

We need^W^WI feel the need to invest some time in workflow

I will be reading the java packaging workflow
and shall raise questions at the mailinglist debian-java@lists.debian.org


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Fri, 10 May 2013 13:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Fri, 10 May 2013 13:51:09 GMT) Full text and rfc822 format available.

Message #78 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 569668@bugs.debian.org, 707093@bugs.debian.org
Subject: Packages proposed
Date: Fri, 10 May 2013 15:49:02 +0200
Hi,

I've put the 2 packages on mentors.debian.org for review.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Sun, 19 May 2013 18:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Sun, 19 May 2013 18:51:04 GMT) Full text and rfc822 format available.

Message #83 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 569668@bugs.debian.org, debian-java@lists.debian.org
Subject: FWIW: minor feedback on Davmail ITP sponsoring
Date: Sun, 19 May 2013 20:48:12 +0200
Hello all,

At http://mentors.debian.net/debian/pool/main/d/davmail/
there is a davmail_4.2.1.orig.tar.gz and a davmail_4.2.1-1~3.gbp244580.debian.tar.gz

Upstream has davmail-srconly-4.2.1-2089.tgz
and `uscan` makes davmail_4.2.1-2089.orig.tar.gz

I will be spending time to see if I can convince gitbuildpackage
to make something like davmail_4.2.1.2089-1_all.deb 


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Fri, 24 May 2013 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Fri, 24 May 2013 14:03:04 GMT) Full text and rfc822 format available.

Message #88 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@stappers.nl>
Cc: 569668@bugs.debian.org, debian-java@lists.debian.org
Subject: Re: FWIW: minor feedback on Davmail ITP sponsoring
Date: Fri, 24 May 2013 16:02:21 +0200
Hi,

> At http://mentors.debian.net/debian/pool/main/d/davmail/
> there is a davmail_4.2.1.orig.tar.gz and a davmail_4.2.1-1~3.gbp244580.debian.tar.gz
>
> Upstream has davmail-srconly-4.2.1-2089.tgz
> and `uscan` makes davmail_4.2.1-2089.orig.tar.gz
>
> I will be spending time to see if I can convince gitbuildpackage
> to make something like davmail_4.2.1.2089-1_all.deb

I just fixed this :
http://anonscm.debian.org/gitweb/?p=pkg-java/davmail.git;a=commitdiff;h=61483d36f55ab8a9423ec622f44ff3bf0b14dfeb

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Tue, 02 Jul 2013 18:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Tue, 02 Jul 2013 18:54:09 GMT) Full text and rfc822 format available.

Message #93 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 569668@bugs.debian.org
Subject: heart beat
Date: Tue, 2 Jul 2013 20:47:09 +0200
Hi,

Here a progress report.

Meanwhile I have a succesfull build of davmail.

The Alioth repository has my changes.

Next steps are
 * install check
 * de-install check
 * install
 * test drive the programm in CLI deamon mode ( no GUI stuff )
 * upload

Help on Lintian warning
 W: davmail: executable-not-elf-or-script usr/share/java/davmail-4.3.0.2125.jar
is welcome.


Cheers
Geert Stappers
-- 
Leven en laten leven



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Wed, 03 Jul 2013 06:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Wed, 03 Jul 2013 06:51:04 GMT) Full text and rfc822 format available.

Message #98 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@stappers.nl>, 569668@bugs.debian.org
Subject: Re: Bug#569668: heart beat
Date: Wed, 3 Jul 2013 08:48:55 +0200
> The Alioth repository has my changes.

Thanks.

> Help on Lintian warning
>  W: davmail: executable-not-elf-or-script usr/share/java/davmail-4.3.0.2125.jar
> is welcome.

I think the discussion regarding http://bugs.debian.org/539315 should
reach a consensus before doing anything.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Sun, 28 Jul 2013 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Sun, 28 Jul 2013 20:45:04 GMT) Full text and rfc822 format available.

Message #103 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 569668@bugs.debian.org
Subject: HB NP
Date: Sun, 28 Jul 2013 22:44:26 +0200
Other week without an update on this bugreport,
time for a short message:

  Heart Beat  No Progress



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Sun, 20 Oct 2013 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Sun, 20 Oct 2013 19:57:04 GMT) Full text and rfc822 format available.

Message #108 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 569668@bugs.debian.org
Subject: some progress
Date: Sun, 20 Oct 2013 21:47:37 +0200
Sorry, for having you waiting.
Previous months got other projects higher priority.

Now back to this project, sponsoring Davmail.


I have a working setup for Davmail for about two years.
It is daily used. (Hence the reason for low priority for another setup.)

Now I have second setup for Davmail, this time with a .deb that should
be uploaded to the Debian archive.

Status:
* davmail runs a second computer
* IMAP works fine
* SMTP doesn't work yet
* now investigating what is wrong the SMTP part in my second configuration.

Feel free to ping me for another progress report.


Groeten
Geert Stappers
-- 
Leven en laten leven



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Mon, 21 Oct 2013 06:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Mon, 21 Oct 2013 06:27:05 GMT) Full text and rfc822 format available.

Message #113 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@stappers.nl>, 569668@bugs.debian.org
Subject: Re: Bug#569668: some progress
Date: Mon, 21 Oct 2013 08:22:34 +0200
Hi,

> Status:
> * davmail runs a second computer
> * IMAP works fine
> * SMTP doesn't work yet
> * now investigating what is wrong the SMTP part in my second configuration.

Are you using the version which is on
git://anonscm.debian.org/pkg-java/davmail.git ? Because I had an issue
with IMAP, it did not include mail headers in messages. This was
caused by depending on gnumail instead of javamail.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Mon, 21 Oct 2013 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Mon, 21 Oct 2013 21:21:05 GMT) Full text and rfc822 format available.

Message #118 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: Geert Stappers <stappers@stappers.nl>, 569668@bugs.debian.org
Subject: Re: Bug#569668: some progress and uploaded to experimental
Date: Mon, 21 Oct 2013 23:18:54 +0200
Op 2013-10-21 om 08:22 schreef Alexandre Rossi:
> Hi,

:-)

> > * now investigating what is wrong the SMTP part in my second configuration.

Fixed.


> Are you using the version which is on git://anonscm.debian.org/pkg-java/davmail.git ?
> Because I had an issue with IMAP, it did not include mail headers in
> messages. This was caused by depending on gnumail instead of javamail.


Yes, I'm using the version from git://anonscm.debian.org/pkg-java/davmail.git

Mmm, indeed headers are missing in messages from IMAP.

Davmail 4.3.0 has been uploaded to 'experimental'.

Let's see if a newer version is worth to get uploaded to 'unstable'.


> Alex


Groeten
Geert Stappers
-- 
Leven en laten leven



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 22 Oct 2013 07:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Wed, 06 Nov 2013 18:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Wed, 06 Nov 2013 18:27:08 GMT) Full text and rfc822 format available.

Message #125 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@stappers.nl>
Cc: 569668@bugs.debian.org
Subject: Re: Bug#569668: some progress and uploaded to experimental
Date: Wed, 6 Nov 2013 19:24:02 +0100
>> Are you using the version which is on git://anonscm.debian.org/pkg-java/davmail.git ?
>> Because I had an issue with IMAP, it did not include mail headers in
>> messages. This was caused by depending on gnumail instead of javamail.
>
>
> Yes, I'm using the version from git://anonscm.debian.org/pkg-java/davmail.git
>
> Mmm, indeed headers are missing in messages from IMAP.

Missing headers now fixed for me with
http://anonscm.debian.org/gitweb/?p=pkg-java/davmail.git;a=blob;f=debian/patches/gnumail-fix;h=be0f7cebe084e7f3fb615eef5f039e82a3768a16;hb=HEAD.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Wed, 06 Nov 2013 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Wed, 06 Nov 2013 19:42:04 GMT) Full text and rfc822 format available.

Message #130 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>, Geert Stappers <stappers@stappers.nl>, 569668@bugs.debian.org
Subject: Re: Bug#569668: having headers in IMAP
Date: Wed, 6 Nov 2013 20:38:52 +0100
Op 2013-11-06 om 19:24 schreef Alexandre Rossi:
> Geert Stappers:
> >
> > Mmm, indeed headers are missing in messages from IMAP.
> 
> Missing headers now fixed for me with
> http://anonscm.debian.org/gitweb/?p=pkg-java/davmail.git;a=blob;f=debian/patches/gnumail-fix;h=be0f7cebe084e7f3fb615eef5f039e82a3768a16;hb=HEAD.

Yes, now also for me headers visible


> Alex

Thank you for adding new upstream version to the Alioth git repository


Groeten
Geert Stappers
-- 
Leven en laten leven



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Mon, 11 Nov 2013 20:51:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Mon, 11 Nov 2013 20:51:16 GMT) Full text and rfc822 format available.

Message #135 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>, Geert Stappers <stappers@stappers.nl>, 569668@bugs.debian.org
Subject: Bug#569668: status: with r2174 no SMTP Body
Date: Mon, 11 Nov 2013 21:49:03 +0100
Hi,

The version of Davmail in Alioth seems to been upstream revision r2174.
With that version send E-mail has only SMTP headers, no SMTP body.

With self-compiled upstream package version r2192 I do
get SMTP bodies in sent mail.


Groeten
Geert Stappers
--
Leven en laten leven



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Tue, 12 Nov 2013 20:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Tue, 12 Nov 2013 20:51:12 GMT) Full text and rfc822 format available.

Message #140 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Geert Stappers <stappers@stappers.nl>, Alexandre Rossi <alexandre.rossi@gmail.com>, 569668@bugs.debian.org
Subject: Re: Bug#569668: status: with r2174 no SMTP Body
Date: Tue, 12 Nov 2013 21:50:27 +0100
[Message part 1 (text/plain, inline)]
Summary: Help

Op 2013-11-11 om 21:49 schreef Geert Stappers:
> Hi,
> 
> The version of Davmail in Alioth seems to been upstream revision r2174.
> With that version send E-mail has only SMTP headers, no SMTP body.
> 
> With self-compiled upstream package version r2192 I do
> get SMTP bodies in sent mail.

My attempt to add a newer version from upstream to packaging git repo
failed horrible.

I copied files from upstream SVN to the git packaging repo.
Did `debuild -uc -us` and got:

dpkg-source: warning: file dpkg/davmail-setup.nsi has no final newline (either original or modified version)
dpkg-source: warning: file dpkg/archive/jsmooth-0.9.9-7-patch/skeletons/samplejar/sample.manifest has no final newline (either original or modified version)
dpkg-source: error: cannot represent change to archive/jsmooth/skeletons/windowed-wrapper64/windowed-wrapper64.exe: binary file contents changed
dpkg-source: error: add archive/jsmooth/skeletons/windowed-wrapper64/windowed-wrapper64.exe in debian/source/include-binaries if you want to store the modified binary in the debian tarball
dpkg-source: error: cannot represent change to archive/jsmooth/skeletons/console-wrapper/consolewrapper.exe: binary file contents changed
dpkg-source: error: add archive/jsmooth/skeletons/console-wrapper/consolewrapper.exe in debian/source/include-binaries if you want to store the modified binary in the debian tarball
dpkg-source: error: cannot represent change to archive/jsmooth/skeletons/autodownload-wrapper/autodownload.exe: binary file contents changed
dpkg-source: error: add archive/jsmooth/skeletons/autodownload-wrapper/autodownload.exe in debian/source/include-binaries if you want to store the modified binary in the debian tarball
dpkg-source: error: cannot represent change to archive/jsmooth/skeletons/winservice-wrapper/winservice.exe: binary file contents changed
     ....
dpkg-source: error: cannot represent change to src/site/resources/images/thunderbirdSmtp.png: binary file contents changed
dpkg-source: error: add src/site/resources/images/thunderbirdSmtp.png in debian/source/include-binaries if you want to store the modified binary in the debian tarball
dpkg-source: warning: file dpkg/src/java/imapflags_it.properties has no final newline (either original or modified version)
dpkg-source: warning: file dpkg/src/contribs/init/davmail-init has no final newline (either original or modified version)
dpkg-source: error: unrepresentable changes to source
dpkg-buildpackage: error: dpkg-source -b dpkg gave error exit status 2


How to add a new upstream version to the packaging repo?


Groeten
Geert Stappers
-- 
Leven en laten leven
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Wed, 13 Nov 2013 08:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Wed, 13 Nov 2013 08:39:09 GMT) Full text and rfc822 format available.

Message #145 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@stappers.nl>
Cc: 569668@bugs.debian.org
Subject: Re: Bug#569668: status: with r2174 no SMTP Body
Date: Wed, 13 Nov 2013 09:35:00 +0100
block 569668 by 596469
thanks

Hi,

> The version of Davmail in Alioth seems to been upstream revision r2174.
> With that version send E-mail has only SMTP headers, no SMTP body.
>
> With self-compiled upstream package version r2192 I do
> get SMTP bodies in sent mail.

I can reproduce and r2192 does not help. I think you used a version
compiled against javamail instead of GNUmail-java, which fixes the
problem.

I am getting tired of regressions and incompatible behaviour regarding
using GNUmail-java. I think we would all be better using javamail (now
that licence issues are gone), which is the dep upstream uses.

I've got a build of javamail working. Let me finalize this work,
mainly debian/copyright and I'll publish my working tree in a few
days.

Alex



Added blocking bug(s) of 569668: 596469 and 710394 Request was from Alexandre Rossi <alexandre.rossi@gmail.com> to control@bugs.debian.org. (Wed, 13 Nov 2013 08:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Wed, 13 Nov 2013 08:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Wed, 13 Nov 2013 08:57:05 GMT) Full text and rfc822 format available.

Message #152 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@stappers.nl>
Cc: 569668@bugs.debian.org
Subject: Re: Bug#569668: status: with r2174 no SMTP Body
Date: Wed, 13 Nov 2013 09:55:38 +0100
> My attempt to add a newer version from upstream to packaging git repo
> failed horrible.
>
> I copied files from upstream SVN to the git packaging repo.
> [...]
> How to add a new upstream version to the packaging repo?

If you want to add an official release, the following should do the trick :
$ cd davmail/davmail.git
$ uscan[ --force-download] # if you want to redownload the orig tar
$ git-import-orig ../davmail_<version>.orig.tar.gz # import and commit
new updtream version, and merge

If you want to test a svn snpashot, the easiest way (IMHO) is to
produce a patch and apply it to the git tree. With our recent exemple
:
$ cd davmail/davmail.svn
$ svn update
$ svn diff -r2174 src/java > ../patch
$ cd ../davmail.git
$ export QUILT_PATCHES=debian/patches/
$ quilt import -P newer-upstream ../patch
$ debuild -us -uc
(this does not however fix the SMTP problem)

Cheers,

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Fri, 29 Nov 2013 21:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Fri, 29 Nov 2013 21:36:02 GMT) Full text and rfc822 format available.

Message #157 received at 569668@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@debian.org>
To: Luca Falavigna from FTPmaster team <ftpmaster@ftp-master.debian.org>
Cc: Alexandre Rossi <alexandre.rossi@gmail.com>, 569668@bugs.debian.org
Subject: Re: davmail & src/java/com/ctc/wstx/sr/StreamScanner.java
Date: Fri, 29 Nov 2013 22:33:17 +0100
Op 2013-11-29 om 13:00 schreef FTPmaster Luca Falavigna
under Subject:  davmail_4.3.0.2125-1_amd64.changes REJECTED  
> 
> Hi,
> 
> src/java/com/ctc/wstx/sr/StreamScanner.java seems part of StAX2 API,
> licensed under LGPL-2.1+ or Apache-2.0.

Does is say

  davmail should depend on the StAX2 API

or does it say in debian/copyright should

    Files: src/java/com/ctc/wstx/sr/StreamScanner.java
    License: GPL-2

be changed?


> Please feel free to respond to this email if you don't understand why
> your files were rejected, or if you upload new files which address our
> concerns.

Thanks for reviewing.


Groeten
Geert Stappers
-- 
Leven en laten leven



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>:
Bug#569668; Package wnpp. (Mon, 02 Dec 2013 11:33:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio López <antoniojlopez@gmail.com>. (Mon, 02 Dec 2013 11:33:15 GMT) Full text and rfc822 format available.

Message #162 received at 569668@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@debian.org>, 569668@bugs.debian.org
Cc: Luca Falavigna from FTPmaster team <ftpmaster@ftp-master.debian.org>
Subject: Re: Bug#569668: davmail & src/java/com/ctc/wstx/sr/StreamScanner.java
Date: Mon, 2 Dec 2013 12:28:49 +0100
Hi,

>> src/java/com/ctc/wstx/sr/StreamScanner.java seems part of StAX2 API,
>> licensed under LGPL-2.1+ or Apache-2.0.
>
> Does is say
>
>   davmail should depend on the StAX2 API

Not straightforward as the file in davmail source is patched, see below.

> or does it say in debian/copyright should
>
>     Files: src/java/com/ctc/wstx/sr/StreamScanner.java
>     License: GPL-2
>
> be changed?

I just fixed the copyright file :
http://anonscm.debian.org/gitweb/?p=pkg-java/davmail.git;a=commitdiff;h=838378e6624b0c742173b1530c8cc3338c61bfb1

I'll prepare another upload one I have time to test my build with
javamail packages (only tested with standalone mail.jar for now).

Thanks for reviewing,

Alex

--
The StreamScanner.java diff :

--- src/java/com/ctc/wstx/sr/StreamScanner.java 2012-04-24
06:38:20.000000000 +0200
+++ /home/niol/oss/scratch/debian/davmail/davmail.git/src/java/com/ctc/wstx/sr/StreamScanner.java
      2012-10-01 10:34:27.042390883 +0200
@@ -2383,11 +2383,11 @@
             if (value == 0) {
                 throwParseError("Invalid character reference: null
character not allowed in XML content.");
             }
-            // XML 1.1 allows most other chars; 1.0 does not:
-            if (!mXml11 &&
-                (value != 0x9 && value != 0xA && value != 0xD)) {
-                reportIllegalChar(value);
-            }
+            // XML 1.1 allows most other chars; 1.0 does not: However
Exchange sends such chars with XML 1.0
+            //if (!mXml11 &&
+            //    (value != 0x9 && value != 0xA && value != 0xD)) {
+            //    reportIllegalChar(value);
+            //}
         }
     }



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:03:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.